import request from "@/utils/request";

/*************************************************
 ****************** 租户相关接口 ******************
 *************************************************/

/**
 * 获取租户列表
 * @param {Object} params 包含 page 和 pageSize
 * @returns {Promise}
 */
export function getTenantList(params) {
  return request({
    url: "/backend/tenant/getTenant",
    method: "get",
    params: params, 
  });
}

/**
 * 获取租户详情
 * @param {number} id 租户ID
 * @returns {Promise}
 */
export function getTenantDetail(id) {
  return request({
    url: `/backend/tenant/getTenantDetail/${id}`,
    method: "get",
  });
}

/**
 * 创建租户数据
 * @param {Object} data 租户数据
 * @returns {Promise}
 */
export function createTenant(data) {
  return request({
    url: "/backend/tenant/createTenant",
    method: "post",
    data: data,
    headers: {
      "Content-Type": "multipart/form-data",
    },
  });
}

/**
 * 更新租户数据
 * @param {Object} data 租户数据
 * @returns {Promise}
 */
export function editTenant(id, data) {
  return request({
    url: `/backend/tenant/editTenant/${id}`,
    method: "post",
    data: data,
  });
}

/**
 * 删除租户数据
 * @param {number} id 租户ID
 * @returns {Promise}
 */
export function deleteTenant(id) {
  return request({
    url: `/backend/tenant/deleteTenant/${id}`,
    method: "delete",
  });
}

/**
 * 校验租户编码是否重复
 * @param {string} tenant_code 编码
 * @param {number} id 可选，当前编辑的租户ID
 */
export function checkTenantCode(tenant_code) {
  return request({
    url: '/backend/tenant/findTenantCode',
    method: 'get',
    params: { tenant_code }
  });
}